import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a route table for the specified VPC. After you create a route table, you can add routes and associate the table with a subnet.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-routetable.html">the AWS Docs</a>
*/
export function routeTable(routeTableProps) {
    return new AwsResource('AWS::EC2::RouteTable', routeTableProps, { RouteTableId: 'RouteTableId' });
}
